hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [hbase] anmolnar commented on issue #394: HBASE-22716:upgrade zookeeper version to 3.5.5
Date Tue, 23 Jul 2019 13:17:37 GMT
anmolnar commented on issue #394: HBASE-22716:upgrade zookeeper version to 3.5.5
URL: https://github.com/apache/hbase/pull/394#issuecomment-514205474
 
 
   @Apache9 @maoling 
   
   > Will the zookeeper team test the compatibility for 3.4.x server when releasing new
3.5.x zookeeper?
   
   They should be compatible as long as you're not using some new API. There was a discussion
about the topic on the user list recently: http://markmail.org/thread/gtjod534odnb3w4y
   HBase has been mentioned in the thread by Enrico who's running it with 3.5 client against
3.4 servers. (I'm not sure about the specifics.)
   
   > And what is the advantage to upgrade to 3.5.x? 
   
   Support 3.5 servers, take advantage of new features, performance, stability improvements.
Please check out the release notes.
   
   > The 3.4.x will be EOL soon?
   
   I think 3.4.x will be EOL later rather than sooner. We're going to have a new major release
3.6.0 some time this year and after that we'll deco the 3.4.x branch in order to avoid supporting
3 major branches at the same time.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message